"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var cli_1 = require("./cli");
var command_1 = require("./cli/command");
var resume_1 = require("./resume");
var Bashme = /** @class */ (function () {
    function Bashme(debugMode) {
        if (debugMode === void 0) { debugMode = false; }
        this.resume = new resume_1.Resume();
        this.cli = new cli_1.Cli();
        if (debugMode) {
            this.cli.register(new command_1.DebugCommand());
        }
    }
    Bashme.prototype.use = function (infoProvider) {
        var _this = this;
        infoProvider.fill(this.resume);
        infoProvider.getCommands().forEach(function (command) { return _this.cli.register(command); });
        return this;
    };
    Bashme.prototype.show = function (domElement) {
        this.cli.show(domElement);
    };
    return Bashme;
}());
exports.default = Bashme;
__export(require("./resume/providers"));
//# sourceMappingURL=index.js.map