"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var command_1 = require("../../cli/command");
var Json = /** @class */ (function () {
    function Json(object) {
        this.data = object;
    }
    Json.prototype.getName = function () {
        return this.data.name;
    };
    Json.prototype.getBio = function () {
        return this.data.bio;
    };
    Json.prototype.getEducation = function () {
        return this.data.education || [];
    };
    Json.prototype.getWork = function () {
        return this.data.work || [];
    };
    Json.prototype.getVolunteer = function () {
        return this.data.volunteer || [];
    };
    Json.prototype.getAward = function () {
        return this.data.award || [];
    };
    Json.prototype.getPublication = function () {
        return this.data.publication || [];
    };
    Json.prototype.getSkill = function () {
        return this.data.skill || [];
    };
    Json.prototype.getLanguage = function () {
        return this.data.language || [];
    };
    Json.prototype.fill = function (resume) {
        resume.name = this.getName();
        resume.bio = this.getBio();
        resume.addEducation(this.getEducation());
        resume.addWork(this.getWork());
        resume.addVolunteer(this.getVolunteer());
        resume.addAward(this.getAward());
        resume.addPublication(this.getPublication());
        resume.addSkill(this.getSkill());
        resume.addLanguage(this.getLanguage());
    };
    Json.prototype.getCommands = function () {
        var commands = [];
        if (this.data.name) {
            commands.push(new command_1.AnyStringCommand('name', 'Shows name', this.data.name));
        }
        if (this.data.bio) {
            commands.push(new command_1.AnyStringCommand('bio', 'Shows bio', this.data.bio));
        }
        if (this.data.education && this.data.education.length) {
            commands.push(new command_1.EducationCommand(this.data.education));
        }
        if (this.data.work && this.data.work.length) {
            commands.push(new command_1.WorkCommand(this.data.work));
        }
        if (this.data.volunteer && this.data.volunteer.length) {
            commands.push(new command_1.VolunteerCommand(this.data.volunteer));
        }
        if (this.data.award && this.data.award.length) {
            commands.push(new command_1.AwardCommand(this.data.award));
        }
        if (this.data.publication && this.data.publication.length) {
            commands.push(new command_1.PublicationCommand(this.data.publication));
        }
        if (this.data.skill && this.data.skill.length) {
            commands.push(new command_1.SkillCommand(this.data.skill));
        }
        if (this.data.language && this.data.language.length) {
            commands.push(new command_1.LanguageCommand(this.data.language));
        }
        return commands;
    };
    return Json;
}());
exports.Json = Json;
//# sourceMappingURL=Json.js.map